"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const src_1 = require("../src");
class App extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            flexDirection: 'row',
            buttonLabel: 'RNG button',
        };
    }
    componentWillUnmount() {
        console.log('App unmounted!');
    }
    componentDidUpdate() {
        console.log('current state: ' + JSON.stringify(this.state, undefined, 2));
    }
    render() {
        const buttonSize = {
            width: 140,
            height: 50,
        };
        const viewStyle = {
            flex: 1,
            flexDirection: this.state.flexDirection,
            justifyContent: 'space-between',
            width: 500,
            height: 500,
        };
        return (React.createElement(src_1.View, { style: viewStyle },
            React.createElement(src_1.Button, { style: buttonSize, label: this.state.buttonLabel, onClick: () => this.setState({ buttonLabel: String(Math.random()) }) }),
            React.createElement(src_1.Button, { style: buttonSize, label: "Flex Button", onClick: () => this.setState({ flexDirection: this.state.flexDirection === 'row' ? 'column' : 'row' }) }),
            React.createElement(src_1.Button, { style: buttonSize, label: "Hello world!" })));
    }
}
src_1.render(React.createElement(App, null));
